Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80625 - redhat-config-users crashes when deleting user from primary group
Summary: redhat-config-users crashes when deleting user from primary group
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-28 23:04 UTC by Peter van Egdom
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-09 12:58:49 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2002-12-28 23:04:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:

The program "redhat-config-users" crashes when a user is deleted from his
primary group.  

This can be reproduced by doing the following :

(groups --> (select groupname) --> properties --> group user tab --> (deselect
selected user from primary group) --> (system says "You cannot remove user
'blablabla' from their primary group"). 

At this point the group properties window will be 'deactive' and does not
respond to user input. Only closing the window seems to work. The program is now
in a state of flux. If you click properties again from a selected user it will
present another 'deactive' window. If you close that window and select
properties again, then redhat-config-users will segfault.

(see additional information)

Version-Release number of selected component (if applicable):
redhat-config-users-1.1.1-5
Red Hat Linux release 8.0.92 (Phoebe)

How reproducible:
Always

Steps to Reproduce:
1. See description
2.
3.
    

Actual Results:  segfault

Expected Results:  no segfault.

Additional info:

(redhat-config-users.py:23429): GLib-GObject-WARNING **: invalid
uninstantiatable type `(null)' in cast to `GtkContainer'

(redhat-config-users.py:23429): Gtk-CRITICAL **: file gtkcontainer.c: line 1274
(gtk_container_foreach): assertion `GTK_IS_CONTAINER (container)' failed
/usr/share/redhat-config-users/redhat-config-users: line 4: 23429 Segmentation
fault      /usr/bin/python2.2 /usr/share/redhat-config-users/redhat-config-users.py

Comment 1 Brent Fox 2003-01-07 20:18:50 UTC
redhat-config-users-1.1.1-8 should fix this problem.  Thanks for your report. 
QA, please verify.

Comment 2 Jay Turner 2003-01-09 12:58:49 UTC
Fix confirmed with redhat-config-users-1.1.2-1.


Note You need to log in before you can comment on or make changes to this bug.